summaryrefslogtreecommitdiffstats
path: root/development/cssed
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:05:50 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:05:50 +0200
commit74534b2106bd57083114812c2740de1b82970349 (patch)
tree8af0fd1b676bd5bd170908e4da79be9294f4a3df /development/cssed
parentac82954665edda529b341ca9aede9390c40d6102 (diff)
downloadslackbuilds-74534b2106bd57083114812c2740de1b82970349.tar.gz
slackbuilds-74534b2106bd57083114812c2740de1b82970349.tar.xz
development/cssed: Initial import
Diffstat (limited to 'development/cssed')
-rw-r--r--development/cssed/README16
-rw-r--r--development/cssed/cssed.SlackBuild98
-rw-r--r--development/cssed/cssed.desktop9
-rw-r--r--development/cssed/cssed.info8
-rw-r--r--development/cssed/doinst.sh3
-rw-r--r--development/cssed/slack-desc11
6 files changed, 145 insertions, 0 deletions
diff --git a/development/cssed/README b/development/cssed/README
new file mode 100644
index 0000000000..fd1d7a15ed
--- /dev/null
+++ b/development/cssed/README
@@ -0,0 +1,16 @@
+cssed is a GTK2 application to help create and maintain CSS style sheets
+for web developing.cssed is a small developer editor and validator, that
+tries to ease the CSS editing.
+
+It features syntax highlighting, syntax validation, MDI notebook based
+interface, quick CSS properties and values insertion, auto-completion
+and dialog-based insertion of CSS complex values.
+
+Being a CSS editor, it's not limited to this language. cssed haved some
+support for HTML (with embbeded Javascript), XML, Javascript, Java, PHP,
+JSP, C, C++, Apache configuration files, .htaccess, Python, Perl, SQL,
+SH and other languages so it can serve quite well as multi-purpose editor.
+
+It can be extended through plugins and scripted with Python, so it's
+quite easy to extend its functionality. The plugins are available from the
+cssed website.
diff --git a/development/cssed/cssed.SlackBuild b/development/cssed/cssed.SlackBuild
new file mode 100644
index 0000000000..fc61a132e6
--- /dev/null
+++ b/development/cssed/cssed.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for cssed
+
+# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=cssed
+VERSION=0.4.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="AUTHORS COPYING INSTALL README NEWS ChangeLog"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# We'll try to detect whether vte is installed and do the right thing
+# You can always override it :)
+if $(pkg-config --exists vte); then
+ VTE=${VTE:-yes}
+else
+ VTE=${VTE:-no}
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-help-menus \
+ --with-ipc-queue \
+ --with-plugin-headers \
+ --with-terminal=$VTE
+
+make
+make install-strip DESTDIR=$PKG
+
+# Add a custom cssed.desktop file for menu entries since
+# upstream source doesn't ship one
+mkdir -p $PKG/usr/share/applications
+cat $CWD/cssed.desktop > $PKG/usr/share/applications/cssed.desktop
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/cssed/cssed.desktop b/development/cssed/cssed.desktop
new file mode 100644
index 0000000000..556ba5435c
--- /dev/null
+++ b/development/cssed/cssed.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=cssed
+Comment=CSS Editor
+Exec=cssed
+Icon=/usr/share/cssed/pixmaps/cssed-icon.png
+Terminal=false
+Type=Application
+Categories=Application;Editor;
diff --git a/development/cssed/cssed.info b/development/cssed/cssed.info
new file mode 100644
index 0000000000..7d1772b32f
--- /dev/null
+++ b/development/cssed/cssed.info
@@ -0,0 +1,8 @@
+PRGNAM="cssed"
+VERSION="0.4.0"
+HOMEPAGE="http://cssed.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/cssed/cssed-0.4.0.tar.gz"
+MD5SUM="ff7c818d1f819b7d76b4f714be64e08e"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/development/cssed/doinst.sh b/development/cssed/doinst.sh
new file mode 100644
index 0000000000..34be13eb65
--- /dev/null
+++ b/development/cssed/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/cssed/slack-desc b/development/cssed/slack-desc
new file mode 100644
index 0000000000..f54d408538
--- /dev/null
+++ b/development/cssed/slack-desc
@@ -0,0 +1,11 @@
+cssed: cssed (GTK2 application to create and maintain CSS style sheets)
+cssed:
+cssed: cssed is a small developer editor and validator, that tries to ease the
+cssed: CSS editing. It features syntax highlighting, syntax validation, MDI
+cssed: notebook based interface, quick CSS properties and values insertion,
+cssed: auto-completion and dialog-based insertion of CSS complex values.Being a
+cssed: CSS editor, it's not limited to this language. cssed haved some support
+cssed: for HTML, XML, Javascript, Java, PHP, JSP, C, C++, Apache configuration
+cssed: files, .htaccess, Python, Perl, SQL, SH and other languages so it can
+cssed: serve quite well as multi-purpose editor.It can be extended through
+cssed: plugins and scripted with Python.